summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorNathan Hjelm <hjelmn@mac.com>2009-02-16 21:39:29 -0300
committerDaniel Drake <dsd@gentoo.org>2009-02-16 21:40:45 -0300
commitb49f6bf5c910d0fd694ecf165d7927673707bff9 (patch)
treead2a648eeef9ce04567f5717f3d9831f3ccdb0e9 /autogen.sh
parentd859158581e9a3250f36cdeeb8ea67cda04053bd (diff)
downloadlibusb-b49f6bf5c910d0fd694ecf165d7927673707bff9.tar.gz
Darwin backend
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 4f5e612..d5c6a19 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,5 +1,9 @@
#!/bin/sh
-libtoolize --copy --force || exit 1
+
+# use glibtoolize if it is available (darwin)
+(glibtoolize --version) < /dev/null > /dev/null 2>&1 && LIBTOOLIZE=glibtoolize || LIBTOOLIZE=libtoolize
+
+$LIBTOOLIZE --copy --force || exit 1
aclocal || exit 1
autoheader || exit 1
autoconf || exit 1